pidgin: gtkblist-theme.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs
gtkblist-theme.h File Reference

GTK+ Buddy List Theme API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include <gtk/gtk.h>`
`#include "theme.h"`

Go to the source code of this file.

## Data Structures
struct | _PidginBlistTheme
struct | _PidginBlistThemeClass
struct | PidginBlistLayout

## Macros
#define | PIDGIN_TYPE_BLIST_THEME (pidgin_blist_theme_get_type ())
#define | PIDGIN_BLIST_THEME(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIDGIN_TYPE_BLIST_THEME, PidginBlistTheme))
#define | PIDGIN_BLIST_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PIDGIN_TYPE_BLIST_THEME, PidginBlistThemeClass))
#define | PIDGIN_IS_BLIST_THEME(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIDGIN_TYPE_BLIST_THEME))
#define | PIDGIN_IS_BLIST_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIDGIN_TYPE_BLIST_THEME))
#define | PIDGIN_BLIST_THEME_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PIDGIN_TYPE_BLIST_THEME, PidginBlistThemeClass))

## Typedefs
typedef struct _PidginBlistTheme | PidginBlistTheme
| A pidgin buddy list theme.
typedef struct _PidginBlistThemeClass | PidginBlistThemeClass
typedef struct _PidginThemeFont | PidginThemeFont

## Functions
PidginThemeFont API <br>
PidginThemeFont * | pidgin_theme_font_new (const gchar *face, GdkColor *color)
| Create a new PidginThemeFont.
void | pidgin_theme_font_free (PidginThemeFont *font)
| Frees a font and color pair.
void | pidgin_theme_font_set_font_face (PidginThemeFont *font, const gchar *face)
| Set the font-face of a PidginThemeFont.
void | pidgin_theme_font_set_color (PidginThemeFont *font, const GdkColor *color)
| Set the color of a PidginThemeFont.
const gchar * | pidgin_theme_font_get_font_face (PidginThemeFont *font)
| Get the font-face of a PidginThemeFont.
const GdkColor * | pidgin_theme_font_get_color (PidginThemeFont *font)
| Get the color of a PidginThemeFont as a GdkColor object.
const gchar * | pidgin_theme_font_get_color_describe (PidginThemeFont *font)
| Get the color of a PidginThemeFont.
Purple Buddy List Theme API <br>
G_BEGIN_DECLS GType | pidgin_blist_theme_get_type (void)
| GObject foo.
GdkColor * | pidgin_blist_theme_get_background_color (PidginBlistTheme *theme)
| Returns the background color of the buddy list.
gdouble | pidgin_blist_theme_get_opacity (PidginBlistTheme *theme)
| Returns the opacity of the buddy list window (0.0 or clear to 1.0 fully opaque).
PidginBlistLayout * | pidgin_blist_theme_get_layout (PidginBlistTheme *theme)
| Returns the layout to be used with the buddy list.
GdkColor * | pidgin_blist_theme_get_expanded_background_color (PidginBlistTheme *theme)
| Returns the background color to be used with expanded groups.
PidginThemeFont * | pidgin_blist_theme_get_expanded_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used with expanded groups.
GdkColor * | pidgin_blist_theme_get_collapsed_background_color (PidginBlistTheme *theme)
| Returns the background color to be used with collapsed groups.
PidginThemeFont * | pidgin_blist_theme_get_collapsed_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used with collapsed groups.
GdkColor * | pidgin_blist_theme_get_contact_color (PidginBlistTheme *theme)
| Returns the colors to be used for contacts and chats.
PidginThemeFont * | pidgin_blist_theme_get_contact_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for expanded contacts.
PidginThemeFont * | pidgin_blist_theme_get_online_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for online buddies.
PidginThemeFont * | pidgin_blist_theme_get_away_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for away and idle buddies.
PidginThemeFont * | pidgin_blist_theme_get_offline_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for offline buddies.
PidginThemeFont * | pidgin_blist_theme_get_idle_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for idle buddies.
PidginThemeFont * | pidgin_blist_theme_get_unread_message_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for buddies with unread messages.
PidginThemeFont * | pidgin_blist_theme_get_unread_message_nick_said_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for chats with unread messages that mention your nick.
PidginThemeFont * | pidgin_blist_theme_get_status_text_info (PidginBlistTheme *theme)
| Returns the text font and color to be used for a buddy's status message.
void | pidgin_blist_theme_set_background_color (PidginBlistTheme *theme, const GdkColor *color)
| Sets the background color to be used for this buddy list theme.
void | pidgin_blist_theme_set_opacity (PidginBlistTheme *theme, gdouble opacity)
| Sets the opacity to be used for this buddy list theme.
void | pidgin_blist_theme_set_layout (PidginBlistTheme *theme, const PidginBlistLayout *layout)
| Sets the buddy list layout to be used for this buddy list theme.
void | pidgin_blist_theme_set_expanded_background_color (PidginBlistTheme *theme, const GdkColor *color)
| Sets the background color to be used for expanded groups.
void | pidgin_blist_theme_set_expanded_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for expanded groups.
void | pidgin_blist_theme_set_collapsed_background_color (PidginBlistTheme *theme, const GdkColor *color)
| Sets the background color to be used for collapsed groups.
void | pidgin_blist_theme_set_collapsed_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for expanded groups.
void | pidgin_blist_theme_set_contact_color (PidginBlistTheme *theme, const GdkColor *color)
| Sets the background color to be used for contacts and chats.
void | pidgin_blist_theme_set_contact_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for expanded contacts.
void | pidgin_blist_theme_set_online_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for online buddies.
void | pidgin_blist_theme_set_away_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for away and idle buddies.
void | pidgin_blist_theme_set_offline_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for offline buddies.
void | pidgin_blist_theme_set_idle_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for idle buddies.
void | pidgin_blist_theme_set_unread_message_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for buddies with unread messages.
void | pidgin_blist_theme_set_unread_message_nick_said_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for a chat with unread messages that mention your nick.
void | pidgin_blist_theme_set_status_text_info (PidginBlistTheme *theme, const PidginThemeFont *pair)
| Sets the text color and font to be used for buddy status messages.

## Detailed Description

GTK+ Buddy List Theme API.

Definition in file gtkblist-theme.h.

## Macro Definition Documentation

## ◆ PIDGIN_BLIST_THEME

#define PIDGIN_BLIST_THEME | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIDGIN_TYPE_BLIST_THEME, PidginBlistTheme))

Definition at line 45 of file gtkblist-theme.h.

## ◆ PIDGIN_BLIST_THEME_CLASS

#define PIDGIN_BLIST_THEME_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST ((klass), PIDGIN_TYPE_BLIST_THEME, PidginBlistThemeClass))

Definition at line 46 of file gtkblist-theme.h.

## ◆ PIDGIN_BLIST_THEME_GET_CLASS

#define PIDGIN_BLIST_THEME_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS ((obj), PIDGIN_TYPE_BLIST_THEME, PidginBlistThemeClass))

Definition at line 49 of file gtkblist-theme.h.

## ◆ PIDGIN_IS_BLIST_THEME

#define PIDGIN_IS_BLIST_THEME | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIDGIN_TYPE_BLIST_THEME))

Definition at line 47 of file gtkblist-theme.h.

## ◆ PIDGIN_IS_BLIST_THEME_CLASS

#define PIDGIN_IS_BLIST_THEME_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE ((klass), PIDGIN_TYPE_BLIST_THEME))

Definition at line 48 of file gtkblist-theme.h.

## ◆ PIDGIN_TYPE_BLIST_THEME

#define PIDGIN_TYPE_BLIST_THEME (pidgin_blist_theme_get_type ())

Definition at line 44 of file gtkblist-theme.h.

## Typedef Documentation

## ◆ PidginBlistTheme

typedef struct _PidginBlistTheme PidginBlistTheme

A pidgin buddy list theme.

This is an object for Purple to represent a buddy list theme.

PidginBlistTheme is a PurpleTheme Object.

Definition at line 41 of file gtkblist-theme.h.

## ◆ PidginBlistThemeClass

typedef struct _PidginBlistThemeClass PidginBlistThemeClass

Definition at line 42 of file gtkblist-theme.h.

## ◆ PidginThemeFont

typedef struct _PidginThemeFont PidginThemeFont

Definition at line 70 of file gtkblist-theme.h.

## Function Documentation

## ◆ pidgin_blist_theme_get_away_text_info()

PidginThemeFont * pidgin_blist_theme_get_away_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for away and idle buddies.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_background_color()

GdkColor * pidgin_blist_theme_get_background_color | ( | PidginBlistTheme * | theme | ) |

Returns the background color of the buddy list.

Parameters

  theme | The PidginBlist theme.

Returns
  A gdk color.

## ◆ pidgin_blist_theme_get_collapsed_background_color()

GdkColor * pidgin_blist_theme_get_collapsed_background_color | ( | PidginBlistTheme * | theme | ) |

Returns the background color to be used with collapsed groups.

Parameters

  theme | The PidginBlist theme.

Returns
  A gdk color.

## ◆ pidgin_blist_theme_get_collapsed_text_info()

PidginThemeFont * pidgin_blist_theme_get_collapsed_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used with collapsed groups.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_contact_color()

GdkColor * pidgin_blist_theme_get_contact_color | ( | PidginBlistTheme * | theme | ) |

Returns the colors to be used for contacts and chats.

Parameters

  theme | The PidginBlist theme.

Returns
  A gdkcolor for contacts and chats.

## ◆ pidgin_blist_theme_get_contact_text_info()

PidginThemeFont * pidgin_blist_theme_get_contact_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for expanded contacts.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_expanded_background_color()

GdkColor * pidgin_blist_theme_get_expanded_background_color | ( | PidginBlistTheme * | theme | ) |

Returns the background color to be used with expanded groups.

Parameters

  theme | The PidginBlist theme.

Returns
  A gdk color.

## ◆ pidgin_blist_theme_get_expanded_text_info()

PidginThemeFont * pidgin_blist_theme_get_expanded_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used with expanded groups.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_idle_text_info()

PidginThemeFont * pidgin_blist_theme_get_idle_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for idle buddies.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_layout()

PidginBlistLayout * pidgin_blist_theme_get_layout | ( | PidginBlistTheme * | theme | ) |

Returns the layout to be used with the buddy list.

Parameters

  theme | The PidginBlist theme.

Returns
  The buddy list layout.

## ◆ pidgin_blist_theme_get_offline_text_info()

PidginThemeFont * pidgin_blist_theme_get_offline_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for offline buddies.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_online_text_info()

PidginThemeFont * pidgin_blist_theme_get_online_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for online buddies.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_opacity()

gdouble pidgin_blist_theme_get_opacity | ( | PidginBlistTheme * | theme | ) |

Returns the opacity of the buddy list window (0.0 or clear to 1.0 fully opaque).

Parameters

  theme | The PidginBlist theme.

Returns
  The opacity

## ◆ pidgin_blist_theme_get_status_text_info()

PidginThemeFont * pidgin_blist_theme_get_status_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for a buddy's status message.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_unread_message_nick_said_text_info()

PidginThemeFont * pidgin_blist_theme_get_unread_message_nick_said_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for chats with unread messages that mention your nick.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_get_unread_message_text_info()

PidginThemeFont * pidgin_blist_theme_get_unread_message_text_info | ( | PidginBlistTheme * | theme | ) |

Returns the text font and color to be used for buddies with unread messages.

Parameters

  theme | The PidginBlist theme.

Returns
  A font and color pair.

## ◆ pidgin_blist_theme_set_away_text_info()

void pidgin_blist_theme_set_away_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for away and idle buddies.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_background_color()

void pidgin_blist_theme_set_background_color | ( | PidginBlistTheme * | theme,
|  | const GdkColor * | color
| ) |  |

Sets the background color to be used for this buddy list theme.

Parameters

  theme | The PidginBlist theme.
  color | The new background color.

## ◆ pidgin_blist_theme_set_collapsed_background_color()

void pidgin_blist_theme_set_collapsed_background_color | ( | PidginBlistTheme * | theme,
|  | const GdkColor * | color
| ) |  |

Sets the background color to be used for collapsed groups.

Parameters

  theme | The PidginBlist theme.
  color | The new background color.

## ◆ pidgin_blist_theme_set_collapsed_text_info()

void pidgin_blist_theme_set_collapsed_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for expanded groups.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_contact_color()

void pidgin_blist_theme_set_contact_color | ( | PidginBlistTheme * | theme,
|  | const GdkColor * | color
| ) |  |

Sets the background color to be used for contacts and chats.

Parameters

  theme | The PidginBlist theme.
  color | The color to use for contacts and chats.

## ◆ pidgin_blist_theme_set_contact_text_info()

void pidgin_blist_theme_set_contact_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for expanded contacts.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_expanded_background_color()

void pidgin_blist_theme_set_expanded_background_color | ( | PidginBlistTheme * | theme,
|  | const GdkColor * | color
| ) |  |

Sets the background color to be used for expanded groups.

Parameters

  theme | The PidginBlist theme.
  color | The new background color.

## ◆ pidgin_blist_theme_set_expanded_text_info()

void pidgin_blist_theme_set_expanded_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for expanded groups.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_idle_text_info()

void pidgin_blist_theme_set_idle_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for idle buddies.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_layout()

void pidgin_blist_theme_set_layout | ( | PidginBlistTheme * | theme,
|  | const PidginBlistLayout * | layout
| ) |  |

Sets the buddy list layout to be used for this buddy list theme.

Parameters

  theme | The PidginBlist theme.
  layout | The new layout.

## ◆ pidgin_blist_theme_set_offline_text_info()

void pidgin_blist_theme_set_offline_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for offline buddies.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_online_text_info()

void pidgin_blist_theme_set_online_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for online buddies.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_opacity()

void pidgin_blist_theme_set_opacity | ( | PidginBlistTheme * | theme,
|  | gdouble | opacity
| ) |  |

Sets the opacity to be used for this buddy list theme.

Parameters

  theme | The PidginBlist theme.
  opacity | The new opacity setting.

## ◆ pidgin_blist_theme_set_status_text_info()

void pidgin_blist_theme_set_status_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for buddy status messages.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_unread_message_nick_said_text_info()

void pidgin_blist_theme_set_unread_message_nick_said_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for a chat with unread messages that mention your nick.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_blist_theme_set_unread_message_text_info()

void pidgin_blist_theme_set_unread_message_text_info | ( | PidginBlistTheme * | theme,
|  | const PidginThemeFont * | pair
| ) |  |

Sets the text color and font to be used for buddies with unread messages.

Parameters

  theme | The PidginBlist theme.
  pair | The new text font and color pair.

## ◆ pidgin_theme_font_free()

void pidgin_theme_font_free | ( | PidginThemeFont * | font | ) |

Frees a font and color pair.

Parameters

  font | The theme font

## ◆ pidgin_theme_font_get_color()

const GdkColor * pidgin_theme_font_get_color | ( | PidginThemeFont * | font | ) |

Get the color of a PidginThemeFont as a GdkColor object.

Parameters

  font | The PidginThemeFont

Returns
  The color, or NULL if none is set.

## ◆ pidgin_theme_font_get_color_describe()

const gchar * pidgin_theme_font_get_color_describe | ( | PidginThemeFont * | font | ) |

Get the color of a PidginThemeFont.

Parameters

  font | The PidginThemeFont

Returns
  The color, or NULL if none is set.

## ◆ pidgin_theme_font_get_font_face()

const gchar * pidgin_theme_font_get_font_face | ( | PidginThemeFont * | font | ) |

Get the font-face of a PidginThemeFont.

Parameters

  font | The PidginThemeFont

Returns
  The font-face, or NULL if none is set.

## ◆ pidgin_theme_font_new()

PidginThemeFont * pidgin_theme_font_new | ( | const gchar * | face,
|  | GdkColor * | color
| ) |  |

Create a new PidginThemeFont.

Parameters

  face | The font face
  color | The color of the font

Returns
  A newly created PidginThemeFont

## ◆ pidgin_theme_font_set_color()

void pidgin_theme_font_set_color | ( | PidginThemeFont * | font,
|  | const GdkColor * | color
| ) |  |

Set the color of a PidginThemeFont.

Parameters

  font | The PidginThemeFont
  color | The color

## ◆ pidgin_theme_font_set_font_face()

void pidgin_theme_font_set_font_face | ( | PidginThemeFont * | font,
|  | const gchar * | face
| ) |  |

Set the font-face of a PidginThemeFont.

Parameters

  font | The PidginThemeFont
  face | The font-face